<?php
  $i="18";
  var_dump($i);
  $i=(int)$i; // transtypage explicite
  var_dump($i);
  $j="texte";
  var_dump($j);
  $j=(int)$j; // transtypage explicite
  var_dump($j);
  $k=18;
  $l=10.5;
  $m=$k+$l;
  var_dump($m);
  $m=(int) ($k+$l); // transtypage explicite
  var_dump($m);
?>
